Bug 1754039 - Review Request: libselinux-python3 - SELinux python 3 bindings for libselinux
Summary: Review Request: libselinux-python3 - SELinux python 3 bindings for libselinux
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: epel7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-20 15:46 UTC by Carl George
Modified: 2019-09-26 18:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-26 18:54:50 UTC


Attachments (Terms of Use)

Description Carl George 2019-09-20 15:46:25 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/carlwgeorge/reviews/epel-7-x86_64/01037843-libselinux-python3/libselinux-python3.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/carlwgeorge/reviews/epel-7-x86_64/01037843-libselinux-python3/libselinux-python3-2.5-1.el7.src.rpm

Description:
The libselinux-python3 package contains python 3 bindings for developing
SELinux applications.

Fedora Account System Username: carlwgeorge

This is an EPEL7-only package.  Red Hat added python3 to RHEL 7.7, but has declined to turn on the python3 subpackage in the libselinux spec file.  This spec file is essentially that subpackage extracted.  See bug 1719978 for more information.

Comment 1 Miro Hrončok 2019-09-20 17:36:09 UTC
Can this be python3-libselinux to match Fedora? It can provide libselinux-python3.

See https://src.fedoraproject.org/rpms/python3-rpm for a similar package.

Comment 2 Miro Hrončok 2019-09-20 17:54:07 UTC
Also, technically by the "de facto" EPEL guidelines, this package should generate a python36-libselinux subpackage (see the rpm example from previous comment). However there are no "de jure" Python 3 EPEL guidelines.

Comment 3 Carl George 2019-09-20 19:43:34 UTC
I would like to keep it libselinux-python3, so that if RHEL does eventually enable that subpackage, it will be a natural upgrade without messing with obsoletes.

I also think it would be confusing to users to see libselinux-python and python3-libselinux.

Comment 4 Carl George 2019-09-22 19:21:21 UTC
Of course if this is a blocker, I don't mind renaming it to python3-libselinux.  It's just not my first choice.

Comment 5 Miro Hrončok 2019-09-23 08:37:34 UTC
I don't really care. It was only my suggestion. The fact that the 34/36 guidelines don't exists makes this mostly about compromises.

Comment 6 Miro Hrončok 2019-09-26 15:05:54 UTC
This information just came in: https://bugzilla.redhat.com/show_bug.cgi?id=1719978#c26

Comment 7 Carl George 2019-09-26 18:54:50 UTC
Excellent new, thanks for the heads up Miro.  Closing the review since it will not be needed.


Note You need to log in before you can comment on or make changes to this bug.